Subject: Re: [Gen-art] Gen-ART Last Call review of draft-ietf-ipfix-mediation-protocol-07

From: Jari Arkko <[email-masked]>
Date: Tue, 3 Dec 2013 08:06:03 +0200

Thanks for the review, Meral, and for taking the issues into account, Benoit. I have placed a no-obj recommendation for this document in this week's IESG telechat. 

Jari

On Nov 26, 2013, at 5:41 PM, Benoit Claise <[email-masked]> wrote:

> Hi Meral,
> 
> Thanks for your feedback. 
> See http://tools.ietf.org/rfcdiff?url2=draft-ietf-ipfix-mediation-protocol-08.txt 
> See in-line.
>> I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq  .
>>  
>> Please resolve these comments along with any other Last Call comments you may receive.
>>  
>> Document: draft-ietf-ipfix-mediation-protocol-07
>> Reviewer: Meral Shirazipour
>> Review Date: 2013-10-25
>> IETF LC End Date: 2013-10-25
>> IESG Telechat date: NA
>>  
>>  
>>  
>> Summary:
>> This draft is almost ready to be published as Standard RFC but I do have some comments.
>>  
>>  
>> Major issues:
>> none
>>  
>> Minor issues:
>> none
>>  
>>  
>> Nits/editorial comments:
>>  
>> -[Page 3], Section 1,
>> "The specifications in the IPFIX protocol
>>    [RFC7011] have not been defined in the context of an IPFIX Mediator
>>    receiving, aggregating, correlating, anonymizing, etc... Flow Records
>>    from one or more Exporters.
>> "
>> not clear after the "etc...".   Maybe it should be "etc., Flow Records from one or more Exporters." ?
> Done.
>>  
>>  
>> -[Page 3], Section 1,
>> "An overview of the technical problem is covered in section
>>    6 of [RFC5982]: loss of original Exporter information, loss of base
>>    time information, transport sessions management, loss of Options
>>    Template Information, Template Id management, considerations for
>>    network considerations for aggregation.
>>  
>> "
>> Last part of the sentence uses "considerations" twice. Please revise for better clarity.
> Improved.
>> Also in html format, "section 6 of [RFC5982]" points to section 6 of the draft and not the RFC.
> Actually, it points to the RFC5982 
>>  
>> -[Page 8], Section 3, Figure 1:
>> Caption should say "IPFIX Message Header Format"
> We have not followed that convention.
> See
>            Figure 2: Intermediate Flow Selection Process example
>                Figure 3: Template Mapping example: templates
> So only the terms from the terminology section are capitalized.
> We propose to wait for the RFC editor guidance.
>>  
>> -[Page 12], "Figure 3 shows the Template Mapping for the system shown in Figure 2."
>> Where is Figure 3? Is the text above Figure 3 caption on page 13 considered to be the figure? If so it is a bit confusing.
>> This comment applies to other figures as well. Suggestion, use ascii art to draw boxes around the text.
> Done
>> General comment about figures: some of them span across pages, it would be good to revise those.
> We have added a note for the RFC editor 
>> -[Page 18], just before Section 5.1, it would be good to introduce sections 5.1 and 5.2.
>> -[Page 19], just before Section 6.1, it would be good to introduce it.
>> -[Page 23], just before Section 10.3, it would be good to introduce sections 10.3 and 10.4.
> Added for 5.1 and 5.2
> 6.1 is present already.
> For 10.3, it's done in section 10
> 
> Thanks again for your feedback.
> 
> Regards, Brian and Benoit
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art